openfemm
opendocument('rolled.fem');
mi_saveas('temp.fem');

n = 60;
fluxlinkage = zeros(n,1);
inductance =  zeros(n,1);
for k=1:n
  mi_modifycircprop('icoil', 1, 1);
  mi_analyze(1);
  mi_loadsolution;
  r1 = mo_getcircuitproperties('icoil');
  mo_groupselectblock(1);
  mo_close;
  mi_modifycircprop('icoil', 1, -1);
  mi_analyze(1);
  mi_loadsolution;
  r0 = mo_getcircuitproperties('icoil');
  L = (r1(3) - r0(3))/2;
  phi = (r1(3) + r0(3))/2;
  fluxlinkage(k) = phi;
  inductance(k)=L;
  mo_groupselectblock(1);
  disp(sprintf('%i %e %e',k, L, phi));
  mo_close;
  mi_selectgroup(1);
  mi_moverotate(0, 0, 1);
end

Lavg=mean(inductance);
disp(sprintf('Average inductance = %g Henries',Lavg));

t=0:59;
s=sin(t*2*pi/60);
c=cos(t*2*pi/60);
f=sqrt((s*fluxlinkage/(s*s'))^2 + (c*fluxlinkage/(c*c'))^2);
disp(sprintf('Amplitude of flux linkage = %g Webers',f));
disp(sprintf('No-load voltage amplitude at 5000 rpm = %g V',500*2*pi*f));

figure(1);
plot(t,fluxlinkage);
xlabel('Rotor Angle, Degrees');
ylabel('Flux Linkage, Wb');

figure(2);
plot(t,inductance*1000);
xlabel('Rotor Angle, Degrees');
ylabel('Inductance, mH');






