(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18696,        496]
NotebookOptionsPosition[     17693,        458]
NotebookOutlinePosition[     18061,        474]
CellTagsIndexPosition[     18018,        471]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"<<", 
  "c:\\\\progra~1\\\\femm42\\\\mathfemm\\\\mathfemm.m"}]], "Input",
 CellChangeTimes->{{3.442249406318139*^9, 3.4422494164275136`*^9}}],

Cell[BoxData["\<\"MathFEMM loaded at Wed 9 Sep 2009 00:15:49\"\>"], "Print",
 CellChangeTimes->{
  3.4422494170525136`*^9, 3.442259060599389*^9, 3.4422592321775136`*^9, 
   3.442324297828125*^9, 3.449962466234375*^9, 3.4499643219375*^9, 
   3.45157868477425*^9, 3.45157883114925*^9, 3.451579030883625*^9, 
   3.451579095368*^9, 3.451581674664875*^9, 3.451582799164875*^9, 
   3.4515949157246323`*^9, 3.451595435509009*^9, 3.451605391223595*^9, 
   3.4517775579282255`*^9, 3.451778231720788*^9, 3.451778878716647*^9, 
   3.4518325511731367`*^9, 3.4519306626429043`*^9, 3.4519312127729664`*^9, 
   3.451949506484375*^9, {3.4519507501875*^9, 3.451950763296875*^9}, 
   3.451981598859375*^9, 3.4521832494130077`*^9, 3.4521833530067577`*^9, 
   3.4521856701161327`*^9, 3.4521864210692577`*^9, 3.4521871394442577`*^9, 
   3.452199927140625*^9, 3.45221173415625*^9, 3.452212079203125*^9, 
   3.45221312153125*^9, 3.452248520484375*^9, 3.45225919709375*^9, 
   3.452675378578125*^9, 3.452675584125*^9, 3.45268928925*^9, 
   3.45450490121525*^9, 3.454504969824625*^9, 3.454519400309*^9, 
   3.461458549078932*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Parameters", "Subsection",
 CellChangeTimes->{{3.45268922128125*^9, 3.45268922234375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Base", " ", "frequency", " ", "in", " ", "Hz"}], " ", "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"wbase", "=", 
     RowBox[{"5000.", "/", "60"}]}], ";"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"Hysteresis", " ", "coefficient", " ", "in", " ", 
     RowBox[{"(", 
      RowBox[{"Watts", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"meter", "^", "3"}], " ", "*", " ", 
         RowBox[{"T", "^", "2"}], " ", "*", " ", "Hz"}], ")"}]}], " "}]}], 
    "*)"}], "\n", 
   RowBox[{
    RowBox[{"ch", " ", "=", " ", "143."}], ";"}], " ", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"Eddy", " ", "current", " ", "coefficient", " ", "in", " ", 
     RowBox[{"(", 
      RowBox[{"Watt", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"meter", "^", "3"}], " ", "*", " ", 
         RowBox[{"T", "^", "2"}], " ", "*", " ", 
         RowBox[{"Hz", "^", "2"}]}], ")"}]}], " "}]}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"ce", " ", "=", " ", "0.132"}], ";"}], "\n", 
   RowBox[{"(*", "  ", 
    RowBox[{"Lamination", " ", "stacking", " ", "factor", " ", 
     RowBox[{"(", "nondimensional", ")"}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"cs", " ", "=", " ", "0.92"}], ";"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
    "angle", " ", "through", " ", "which", " ", "to", " ", "spin", " ", "the",
      " ", "rotor", " ", "in", " ", "degrees"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"n", " ", "=", " ", "360"}], ";"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"angle", " ", "increment", " ", "in", " ", "degrees"}], " ", 
    "*)"}], "\n", 
   RowBox[{
    RowBox[{"dk", " ", "=", " ", "1"}], ";"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"coil", " ", "current", " ", "amplitude"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"iamp", " ", "=", " ", "20."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"density", " ", "of", " ", "stator", " ", "iron", " ", "in", " ", 
     RowBox[{"kg", "/", 
      RowBox[{"m", "^", "3"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"\[Rho]lam", "=", "7700."}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.452689131515625*^9, 3.4526892188125*^9}, {
  3.452693004828125*^9, 3.452693041953125*^9}, {3.4545193469965*^9, 
  3.454519350043375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"steps", "=", 
   RowBox[{"Floor", "[", 
    RowBox[{"n", "/", "dk"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fluxlinkage", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inductance", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"torque", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"k", "=", "0"}], ",", 
   RowBox[{"k", "<", "n"}], ",", 
   RowBox[{"k", "+=", "dk"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t0", "=", 
     RowBox[{"AbsoluteTime", "[", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OpenFEMM", "[", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"OpenDocument", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<rolled.fem\>\""}], 
     "]"}], ";", "\n", "  ", 
    RowBox[{"MISaveAs", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<temp.fem\>\""}], 
     "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"MISelectGroup", "[", "1", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"MIMoveRotate", "[", 
     RowBox[{"0", ",", "0", ",", "k", ",", "4"}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"kk", "=", 
     RowBox[{
      RowBox[{"k", "/", "dk"}], "+", "1"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"MIModifyCircProp", "[", 
     RowBox[{"\"\<icoil\>\"", ",", "1", ",", 
      RowBox[{"iamp", "*", 
       RowBox[{"Cos", "[", 
        RowBox[{"6", "*", "Pi", "*", 
         RowBox[{"k", "/", "180."}]}], "]"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"MIAnalyze", "[", "1", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"MILoadSolution", "[", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"k", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Record", " ", "initial", " ", "mesh", " ", "elements", " ", "if", " ",
         "the", " ", "first", " ", "time", " ", "through", " ", "the", " ", 
        "loop"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nn", "=", 
        RowBox[{"MONumElements", "[", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"b", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "nn", "}"}], ",", 
          RowBox[{"{", "steps", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"z", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "nn", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"a", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "nn", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "nn", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", "nn"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "p1", ",", "p2", ",", "p3", ",", "x", ",", "y", ",", "area", ",", 
             "grp"}], "}"}], "=", 
           RowBox[{"MOGetElement", "[", "j", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"z", "[", 
            RowBox[{"[", "j", "]"}], "]"}], "=", 
           RowBox[{"x", "+", 
            RowBox[{"I", "*", "y"}]}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"a", "[", 
            RowBox[{"[", "j", "]"}], "]"}], "=", "area"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"g", "[", 
            RowBox[{"[", "j", "]"}], "]"}], "=", "grp"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"Store", " ", "element", " ", "flux", " ", "densities"}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", 
      RowBox[{"j", "\[LessEqual]", "nn"}], ",", 
      RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"g", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "\[Equal]", "1"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Z", "=", 
           RowBox[{
            RowBox[{"z", "[", 
             RowBox[{"[", "j", "]"}], "]"}], "*", 
            RowBox[{"Exp", "[", 
             RowBox[{"I", "*", "k", "*", 
              RowBox[{"Pi", "/", "180."}]}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "kk"}], "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"MOGetB", "[", 
               RowBox[{
                RowBox[{"Re", "[", "Z", "]"}], ",", 
                RowBox[{"Im", "[", "Z", "]"}]}], "]"}], ".", 
              RowBox[{"{", 
               RowBox[{"1", ",", "I"}], "}"}]}], ")"}], "/", 
            RowBox[{"Exp", "[", 
             RowBox[{"I", "*", "k", "*", 
              RowBox[{"Pi", "/", "180."}]}], "]"}]}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"g", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "\[Equal]", "2"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Z", "=", 
           RowBox[{"z", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "kk"}], "]"}], "]"}], "=", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"MOGetB", "[", 
              RowBox[{
               RowBox[{"Re", "[", "Z", "]"}], ",", 
               RowBox[{"Im", "[", "Z", "]"}]}], "]"}], ".", 
             RowBox[{"{", 
              RowBox[{"1", ",", "I"}], "}"}]}], ")"}]}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"probleminfo", "=", 
     RowBox[{"MOGetProblemInfo", "[", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"CloseFEMM", "[", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{"k", ",", "\"\< of \>\"", ",", "n", ",", "\"\< :: \>\"", ",", 
      RowBox[{
       RowBox[{"AbsoluteTime", "[", "]"}], "-", "t0"}], ",", "\"\< sec\>\""}],
      "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.442249541286889*^9, 3.442249765318139*^9}, {
   3.442252522255639*^9, 3.4422525237087636`*^9}, {3.442253056818139*^9, 
   3.442253057193139*^9}, {3.4422590756462636`*^9, 3.4422590816775136`*^9}, {
   3.442259113224389*^9, 3.4422591182087636`*^9}, {3.4422591587400136`*^9, 
   3.4422591588025136`*^9}, 3.442324273703125*^9, {3.449962411328125*^9, 
   3.449962511171875*^9}, {3.44996261040625*^9, 3.449962616328125*^9}, {
   3.44996310059375*^9, 3.449963101828125*^9}, {3.449964233140625*^9, 
   3.449964268375*^9}, 3.449964340140625*^9, {3.451578732164875*^9, 
   3.451578806852375*^9}, {3.4515789930555*^9, 3.451579020243*^9}, {
   3.451579062227375*^9, 3.451579074977375*^9}, {3.45158269983675*^9, 
   3.451582767852375*^9}, {3.451594894285349*^9, 3.451594896551162*^9}, {
   3.4515954143357787`*^9, 3.4515954225238028`*^9}, {3.451605319457511*^9, 
   3.4516053206137686`*^9}, {3.4516053828797917`*^9, 3.451605384239176*^9}, {
   3.4517774902099085`*^9, 3.4517774938817606`*^9}, {3.451777787208008*^9, 
   3.45177778766113*^9}, {3.451778817545164*^9, 3.451778874888547*^9}, {
   3.451931175148689*^9, 3.4519311754143085`*^9}, {3.452200364296875*^9, 
   3.45220037246875*^9}, 3.452200434546875*^9, {3.452200474109375*^9, 
   3.452200987484375*^9}, {3.45220105109375*^9, 3.452201051703125*^9}, {
   3.452201089234375*^9, 3.452201269171875*^9}, {3.45220130059375*^9, 
   3.4522014094375*^9}, 3.4522120353125*^9, {3.45221310046875*^9, 
   3.452213101421875*^9}, {3.4522482969375*^9, 3.45224840103125*^9}, {
   3.4522484585*^9, 3.45224850290625*^9}, {3.452649585296875*^9, 
   3.45264966846875*^9}, {3.452675497625*^9, 3.452675544859375*^9}, {
   3.452688006125*^9, 3.452688029953125*^9}, {3.452688525875*^9, 
   3.452688541125*^9}, {3.452688603640625*^9, 3.452688609953125*^9}, {
   3.4526891954375*^9, 3.45268919996875*^9}, {3.452689242453125*^9, 
   3.45268926909375*^9}, {3.454504948434*^9, 3.454504950559*^9}, {
   3.4613325985596247`*^9, 3.4613325989814997`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DeleteFile", "[", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<temp.fem\>\""}], 
   "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"DeleteFile", "[", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<temp.ans\>\""}], 
   "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"bsq", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", "nn", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"k", "=", "1"}], ",", 
   RowBox[{"k", "\[LessEqual]", "nn"}], ",", 
   RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bxfft", "=", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"Fourier", "[", 
        RowBox[{"Re", "[", 
         RowBox[{"b", "[", 
          RowBox[{"[", "k", "]"}], "]"}], "]"}], "]"}], "]"}], "*", 
      RowBox[{"2.", "/", 
       RowBox[{"Sqrt", "[", "steps", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"byfft", "=", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"Fourier", "[", 
        RowBox[{"Im", "[", 
         RowBox[{"b", "[", 
          RowBox[{"[", "k", "]"}], "]"}], "]"}], "]"}], "]"}], "*", 
      RowBox[{"2.", "/", 
       RowBox[{"Sqrt", "[", "steps", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"bsq", "[", 
      RowBox[{"[", "k", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "bxfft", "]"}], "^", "2"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"Abs", "[", "byfft", "]"}], "^", "2"}]}]}], ";"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.452688328234375*^9, 3.452688471421875*^9}, {
  3.4526885615*^9, 3.452688583484375*^9}, {3.452688950875*^9, 
  3.45268901090625*^9}, {3.452692682078125*^9, 3.452692684578125*^9}, {
  3.45269278815625*^9, 3.4526927990625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"v", "=", 
   RowBox[{"a", "*", 
    RowBox[{"probleminfo", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "*", 
    RowBox[{
     RowBox[{"probleminfo", "[", 
      RowBox[{"[", "4", "]"}], "]"}], "^", "2"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.452688590875*^9, 3.452688638015625*^9}, {
  3.45269283415625*^9, 3.452692840171875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"w", "=", 
   RowBox[{"wbase", "*", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"k", "\[LessEqual]", 
         RowBox[{"steps", "/", "2"}]}], ",", 
        RowBox[{"(", 
         RowBox[{"k", "-", "1"}], ")"}], ",", "0"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "steps"}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.45269276515625*^9, 3.4526927671875*^9}, {
  3.452692858765625*^9, 3.4526928675625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TotalLoss", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"v", ".", "bsq", ".", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ch", "*", "w"}], "+", 
       RowBox[{"ce", "*", 
        RowBox[{"w", "^", "2"}]}]}], ")"}]}], ")"}], "/", "cs"}]}]], "Input",
 CellChangeTimes->{{3.452688706359375*^9, 3.45268872853125*^9}, {
   3.45268885759375*^9, 3.452688868984375*^9}, {3.4526890259375*^9, 
   3.452689085578125*^9}, 3.45269287465625*^9}],

Cell[BoxData["20.78822677516646`"], "Output",
 CellChangeTimes->{3.452692874984375*^9, 3.45450739565275*^9, 
  3.4545218214965*^9, 3.461460980531929*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StatorMass", " ", "=", " ", 
  RowBox[{"\[Rho]lam", "*", 
   RowBox[{"v", ".", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"Length", "[", "v", "]"}], "}"}]}], "]"}]}], "*", 
   "cs"}]}]], "Input",
 CellChangeTimes->{{3.452692957125*^9, 3.452693000140625*^9}, {
  3.452693054203125*^9, 3.452693078078125*^9}}],

Cell[BoxData["1.20171127480069`"], "Output",
 CellChangeTimes->{{3.4526929694375*^9, 3.45269298440625*^9}, {
   3.4526930609375*^9, 3.452693078375*^9}, 3.454507395684*^9, 
   3.45452182152775*^9, 3.4614609805631795`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TotalLoss", "/", 
  RowBox[{"(", 
   RowBox[{"StatorMass", "*", "2.21"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.454519274324625*^9, 3.454519281434*^9}}],

Cell[BoxData["7.827535325726688`"], "Output",
 CellChangeTimes->{3.454519281762125*^9, 3.454521821574625*^9, 
  3.46146098059443*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1358, 792},
WindowMargins->{{32, Automatic}, {-23, Automatic}},
ShowSelection->True,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 165, 3, 31, "Input"],
Cell[735, 27, 1104, 16, 23, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1876, 48, 96, 1, 36, "Subsection"],
Cell[1975, 51, 2334, 60, 352, "Input"],
Cell[4312, 113, 8902, 202, 912, "Input"],
Cell[13217, 317, 318, 10, 52, "Input"],
Cell[13538, 329, 1566, 42, 132, "Input"],
Cell[15107, 373, 371, 10, 31, "Input"],
Cell[15481, 385, 541, 16, 31, "Input"],
Cell[CellGroupData[{
Cell[16047, 405, 475, 12, 31, "Input"],
Cell[16525, 419, 153, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16715, 426, 375, 10, 31, "Input"],
Cell[17093, 438, 220, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17350, 446, 179, 4, 31, "Input"],
Cell[17532, 452, 133, 2, 30, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
